org.eclipse.aether.resolution

## Class ResolutionErrorPolicyRequest<T>

- java.lang.Object
- - org.eclipse.aether.resolution.ResolutionErrorPolicyRequest<T>

- Type Parameters:
    `T` - The type of the affected repository item (artifact or metadata).

      public final class ResolutionErrorPolicyRequest<T>
      extends Object

  A query for the resolution error policy for a given artifact/metadata.
  See Also:
    `ResolutionErrorPolicy`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResolutionErrorPolicyRequest()` Creates an uninitialized request.
    `ResolutionErrorPolicyRequest(T item, RemoteRepository repository)` Creates a request for the specified artifact/metadata and remote repository.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getItem()` Gets the artifact/metadata for which to determine the error policy.
    `RemoteRepository` | `getRepository()` Gets the remote repository from which the resolution of the artifact/metadata is attempted.
    `ResolutionErrorPolicyRequest<T>` | `setItem(T item)` Sets the artifact/metadata for which to determine the error policy.
    `ResolutionErrorPolicyRequest<T>` | `setRepository(RemoteRepository repository)` Sets the remote repository from which the resolution of the artifact/metadata is attempted.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResolutionErrorPolicyRequest

          public ResolutionErrorPolicyRequest()

      Creates an uninitialized request.

    - #### ResolutionErrorPolicyRequest

          public ResolutionErrorPolicyRequest(T item,
                                      RemoteRepository repository)

      Creates a request for the specified artifact/metadata and remote repository.
      Parameters:
        `item` - The artifact/metadata for which to determine the error policy, may be `null`.
        `repository` - The repository from which the resolution is attempted, may be `null`.

  - ### Method Detail

    - #### getItem

          public T getItem()

      Gets the artifact/metadata for which to determine the error policy.
      Returns:
        The artifact/metadata for which to determine the error policy or `null` if not set.

    - #### setItem

          public ResolutionErrorPolicyRequest<T> setItem(T item)

      Sets the artifact/metadata for which to determine the error policy.
      Parameters:
        `item` - The artifact/metadata for which to determine the error policy, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### getRepository

          public RemoteRepository getRepository()

      Gets the remote repository from which the resolution of the artifact/metadata is attempted.
      Returns:
        The involved remote repository or `null` if not set.

    - #### setRepository

          public ResolutionErrorPolicyRequest<T> setRepository(RemoteRepository repository)

      Sets the remote repository from which the resolution of the artifact/metadata is attempted.
      Parameters:
        `repository` - The repository from which the resolution is attempted, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.